Skip to main content
POST
/
partner
/
{partner_id}
/
course
코스 생성
curl --request POST \
  --url https://api.example.com/partner/{partner_id}/course \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --data '
{
  "title": "<string>",
  "course_key": "<string>",
  "status": "draft",
  "start_date": "2023-12-25",
  "end_date": "2023-12-25",
  "description": "<string>"
}
'
{
  "title": "<string>",
  "course_key": "<string>",
  "id": 123,
  "created_at": "2023-11-07T05:31:56Z",
  "updated_at": "2023-11-07T05:31:56Z",
  "status": "draft",
  "start_date": "2023-12-25",
  "end_date": "2023-12-25",
  "description": "<string>"
}

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Path Parameters

partner_id
integer
required

강사 ID

Body

application/json

org_id 는 path(/orgs/{org_id}/courses 등)에서 받으므로 body에는 포함 X

title
string
required
course_key
string
required
status
enum<string> | null
Available options:
draft,
active,
archived
start_date
string<date> | null
end_date
string<date> | null
description
string | null

Response

Successful Response

title
string
required
course_key
string
required
id
integer
required
created_at
string<date-time>
required
updated_at
string<date-time>
required
status
enum<string> | null
Available options:
draft,
active,
archived
start_date
string<date> | null
end_date
string<date> | null
description
string | null